Cloud Alerts

View alert history

get/triggers/{trigger_id}/history

See when an alert fired and recovered, with the measured values at each event.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

trigger_id*string

Query parameters

limit?integer

Number of history records to return

Range1 ≤ value ≤ 200Default50

Responses

Successful Response

application/json

array<TriggerHistoryOut>

id*string
trigger_id*string
event_type*string
metric_value*number | null
details*record<string, any> | null
created_at*string
Formatdate-time